Bug 730942 - report-cli may crash if no configuration file is found for a reporter
Summary: report-cli may crash if no configuration file is found for a reporter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreport
Version: 6.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Nikola Pajkovsky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 10:32 UTC by Kamil Dudka
Modified: 2014-02-02 22:15 UTC (History)
5 users (show)

Fixed In Version: libreport-2.0.5-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 12:19:26 UTC


Attachments (Terms of Use)
proposed fix (806 bytes, patch)
2011-08-16 10:41 UTC, Kamil Dudka
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1598 normal SHIPPED_LIVE abrt and libreport bug fix and enhancement update 2011-12-06 00:51:16 UTC

Description Kamil Dudka 2011-08-16 10:32:45 UTC
Description of problem:

> Error: FORWARD_NULL:
> /builddir/build/BUILD/libreport-2.0.5/src/cli/cli-report.c:779: var_compare_op: Comparing "config" to null implies that "config" might be null.
> /builddir/build/BUILD/libreport-2.0.5/src/cli/cli-report.c:786: var_deref_op: Dereferencing null variable "config".


Version-Release number of selected component (if applicable):
libreport-2.0.5-5.el6


Additional info:
This defect was introduced in RHEL-6.2.

Comment 2 Kamil Dudka 2011-08-16 10:41:00 UTC
Created attachment 518457 [details]
proposed fix

Comment 3 Michal Nowak 2011-08-23 12:42:23 UTC
Is there some other way how to test presence of this bug other than by Coverity scan?

Comment 4 Kamil Dudka 2011-08-23 13:02:51 UTC
I have no idea what the purpose of report-cli is.  Ask the maintainers.

Comment 6 Nikola Pajkovsky 2011-08-24 12:26:46 UTC
commit f36806440b0b9d5d0dfa2e1c26d8695629c150ff
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Tue Aug 23 11:37:26 2011 +0200

    Dereferencing null variable when config is missing
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>
    (cherry picked from commit 863439314fef3ddff1b4db22d83295c23a387b07)

Comment 11 errata-xmlrpc 2011-12-06 12:19:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1598.html


Note You need to log in before you can comment on or make changes to this bug.